Modify

Ticket #3256 (closed Bugs: fixed)

Opened 5 years ago

Last modified 5 years ago

boost.asio new openssl support

Reported by: tananaev <palyer@…> Owned by: chris_kohlhoff
Milestone: Boost 1.40.0 Component: asio
Version: Boost 1.39.0 Severity: Problem
Keywords: ssl Cc:

Description

In new openssl library (1.0.0 beta2): "SSL_METHOD *SSLv2_method" changed to "const SSL_METHOD *SSLv2_method".

Other functions like SSLv3_method, SSLv23_method have same problems.

So i'm getting compilation error. It's only beta version of library, but i think it would be in release too.

Attachments

Change History

comment:1 Changed 5 years ago by chris_kohlhoff

(In [54907]) Fix compile error when using openssl 1.0 beta. Refs #3256.

comment:2 Changed 5 years ago by chris_kohlhoff

  • Status changed from new to closed
  • Resolution set to fixed

(In [54920]) Merged from trunk. Fixes #3256.

........

r54844 | chris_kohlhoff | 2009-07-10 08:55:26 +1000 (Fri, 10 Jul 2009) | 2 lines

Fix task initialisation.

........

r54845 | chris_kohlhoff | 2009-07-10 08:58:26 +1000 (Fri, 10 Jul 2009) | 2 lines

Don't write to /dev/poll descriptor when there are no pending changes.

........

r54907 | chris_kohlhoff | 2009-07-12 18:16:06 +1000 (Sun, 12 Jul 2009) | 2 lines

Fix compile error when using openssl 1.0 beta. Refs #3256.

........

r54916 | chris_kohlhoff | 2009-07-13 13:38:21 +1000 (Mon, 13 Jul 2009) | 2 lines

Documentation updates.

........

r54917 | chris_kohlhoff | 2009-07-13 13:40:50 +1000 (Mon, 13 Jul 2009) | 2 lines

Show explicit keyword when necessary. Fix hyperlinks between classes.

........

r54918 | chris_kohlhoff | 2009-07-13 13:45:06 +1000 (Mon, 13 Jul 2009) | 2 lines

Regenerate documentation.

........

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.